Mailinglist Archive: opensuse-bugs (3542 mails)

< Previous Next >
[Bug 669498] minimum server selection screwed up - missing e.g. zypper, vim, man

https://bugzilla.novell.com/show_bug.cgi?id=669498

https://bugzilla.novell.com/show_bug.cgi?id=669498#c30


--- Comment #30 from Ludwig Nussel <lnussel@xxxxxxxx> 2011-09-02 16:42:01 CEST
---
I've prepared an 11.4 package with a backport of what I did in Factory, ie move
the conflicts to a separate pattern minimal_base-conflicts. That way
minimal_base itself doesn't need to be uninstalled in case of conflict. The
conflict package still is an ugly hack of course but needed since we have no
way to specify "soft locks" in a pattern. Without (soft-)locking some packages
the minimal pattern would require >100MB more disk space.
However, I am still not convinced that releasing a patterns update makes sense
on 11.4. An online update would only install the new minimal_base pattern. The
minimal_base-conflicts pattern wouldn't automatically be installed though. So
the previously blocked packages become installable and likely will be installed
the next time you run any package installation.

If you are really interested in a good minimal pattern for the future keep an
eye on Factory and report problems early. The minimal pattern on M5 was
completely broken for example.

--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >